Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ncsa.hdf.hdflib
Class HDFSZIPCompInfo

    java.lang.Object
      ncsa.hdf.hdflib.HDFCompInfo
          ncsa.hdf.hdflib.HDFNewCompInfo
              ncsa.hdf.hdflib.HDFSZIPCompInfo

    public class HDFSZIPCompInfo

extends HDFNewCompInfo

This class is a container for the parameters to the HDF SZIP compression algorithm.

In this case, the only parameter is the ``level'' of deflation.

For details of the HDF libraries, see the HDF Documentation at: http://hdf.ncsa.uiuc.edu

Field Summary
`int` | `bits_per_pixel`
`int` | `options_mask`
`int` | `pixels`
`int` | `pixels_per_block`
`int` | `pixels_per_scanline`

Fields inherited from class ncsa.hdf.hdflib.HDFNewCompInfo
`ctype`

Constructor Summary
`HDFSZIPCompInfo()`
`HDFSZIPCompInfo(int bits_per_pixel_in, int options_mask_in, int pixels_in, int pixels_per_block_in, int pixels_per_scanline_in)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bits_per_pixel

    public int bits_per_pixel

### options_mask

    public int options_mask

### pixels

    public int pixels

### pixels_per_block

    public int pixels_per_block

### pixels_per_scanline

    public int pixels_per_scanline

Constructor Detail

### HDFSZIPCompInfo

    public HDFSZIPCompInfo()

### HDFSZIPCompInfo

    public HDFSZIPCompInfo(int bits_per_pixel_in,
                           int options_mask_in,
                           int pixels_in,
                           int pixels_per_block_in,
                           int pixels_per_scanline_in)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD